## com.bbn.openmap.layer.test
Class TestLayer.GraphicBase

    java.lang.Object
      com.bbn.openmap.layer.test.TestLayer.GraphicBase

Direct Known Subclasses:
  TestLayer.Circle, TestLayer.Line, TestLayer.Poly, TestLayer.Text

Enclosing class:
  TestLayer

protected abstract class TestLayer.GraphicBase
extends java.lang.Object

Field Summary
`protected int` `fillColor`
`protected int` `height`
`protected boolean` `isFilled`
`protected int` `lineColor`
`protected float[]` `llpts`
`protected int` `nsegs`
`protected float` `radius`
`protected int` `rt`
`protected int` `type`
`protected boolean` `visible`
`protected int` `width`
`protected int[]` `xypts`

Constructor Summary
`protected` `TestLayer.GraphicBase()`

Method Summary
`protected abstract javax.swing.JPanel` `getGUI()`
`protected javax.swing.JButton` `getOKButton()`
`protected void` `makeColorBox(javax.swing.JComponent parent, java.lang.String title, boolean isFill)`
`protected void` `makeFillCheckBox(javax.swing.JComponent parent)`
`protected void` `setLLCoordinate(javax.swing.JTextField jtf, int i)`
`protected void` `setRender(javax.swing.JComboBox jcb)`
`protected void` `setSegs(javax.swing.JTextField jtf)`
`protected void` `setType(javax.swing.JComboBox jcb)`
`protected void` `setXYCoordinate(javax.swing.JTextField jtf, int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### llpts

    protected float[] llpts

### radius

    protected float radius

### type

    protected int type

### nsegs

    protected int nsegs

### xypts

    protected int[] xypts

### width

    protected int width

### height

    protected int height

### lineColor

    protected int lineColor

### fillColor

    protected int fillColor

### visible

    protected boolean visible

### isFilled

    protected boolean isFilled

### rt

    protected int rt

Constructor Detail

### TestLayer.GraphicBase

    protected TestLayer.GraphicBase()

Method Detail

### getGUI

    protected abstract javax.swing.JPanel getGUI()

### setXYCoordinate

    protected void setXYCoordinate(javax.swing.JTextField jtf,
                                   int i)

### setLLCoordinate

    protected void setLLCoordinate(javax.swing.JTextField jtf,
                                   int i)

### setType

    protected void setType(javax.swing.JComboBox jcb)

### setRender

    protected void setRender(javax.swing.JComboBox jcb)

### setSegs

    protected void setSegs(javax.swing.JTextField jtf)

### makeFillCheckBox

    protected void makeFillCheckBox(javax.swing.JComponent parent)

### makeColorBox

    protected void makeColorBox(javax.swing.JComponent parent,
                                java.lang.String title,
                                boolean isFill)

### getOKButton

    protected javax.swing.JButton getOKButton()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details